# DataExchange
TKIGES
IGESSelect

# IGESSelect_FileModifier Class Reference

`#include <IGESSelect_FileModifier.hxx>`

Inheritance diagram for IGESSelect_FileModifier:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Perform (IFSelect_ContextWrite &ctx, IGESData_IGESWriter &writer) const =0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | IGESSelect_FileModifier ()

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_FileModifier::IGESSelect_FileModifier | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const IGESSelect_FileModifier::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_GeneralModifier. Reimplemented in IGESSelect_AddFileComment, and IGESSelect_FloatFormat.

virtual Standard_EXPORT void IGESSelect_FileModifier::Perform | ( | IFSelect_ContextWrite & | ctx,
|  | IGESData_IGESWriter & | writer
| ) | const`[pure virtual]`

| Implemented in IGESSelect_AddFileComment, and IGESSelect_FloatFormat.

The documentation for this class was generated from the following file:

- IGESSelect_FileModifier.hxx